summaryrefslogtreecommitdiffstats
path: root/debian/tests
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-05-05 18:07:14 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-05-05 18:07:14 +0000
commit8a9229dbc7367a76c54f6f88c9c1738da260afc9 (patch)
tree9994217a3bd0e7839dd1d1e77e4072ca65e7affc /debian/tests
parentAdding upstream version 1.8.2.3. (diff)
downloadapt-8a9229dbc7367a76c54f6f88c9c1738da260afc9.tar.xz
apt-8a9229dbc7367a76c54f6f88c9c1738da260afc9.zip
Adding debian version 1.8.2.3.debian/1.8.2.3debian
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'debian/tests')
-rw-r--r--debian/tests/control8
-rw-r--r--debian/tests/run-tests25
2 files changed, 33 insertions, 0 deletions
diff --git a/debian/tests/control b/debian/tests/control
new file mode 100644
index 0000000..540b727
--- /dev/null
+++ b/debian/tests/control
@@ -0,0 +1,8 @@
+Tests: run-tests
+Restrictions: allow-stderr
+Depends: @, @builddeps@, dpkg, fakeroot, wget, stunnel4, lsof, db-util,
+ gnupg (>= 2) | gnupg2,
+ gnupg1 | gnupg (<< 2),
+ gpgv (>= 2) | gpgv2,
+ gpgv1 | gpgv (<< 2),
+ libfile-fcntllock-perl, python3-apt, aptitude
diff --git a/debian/tests/run-tests b/debian/tests/run-tests
new file mode 100644
index 0000000..495f7ed
--- /dev/null
+++ b/debian/tests/run-tests
@@ -0,0 +1,25 @@
+#!/bin/sh
+
+set -e
+
+if [ ! -e build/CMakeCache.txt ]; then
+ mkdir build || true
+ ( cd build && cmake .. )
+fi
+
+make -C build/test/interactive-helper
+
+# run tests against the installed apt, use "env -i" to ensure
+# the host env does not pollute our environment
+env -i \
+APT_INTEGRATION_TESTS_SOURCE_DIR=$(pwd) \
+APT_INTEGRATION_TESTS_HELPERS_BIN_DIR=$(pwd)/build/test/interactive-helper \
+APT_INTEGRATION_TESTS_METHODS_DIR=/usr/lib/apt/methods \
+APT_INTEGRATION_TESTS_LIBEXEC_DIR=/usr/lib/apt/ \
+APT_INTEGRATION_TESTS_INTERNAL_SOLVER=/usr/lib/apt/solvers/apt \
+APT_INTEGRATION_TESTS_DUMP_SOLVER=/usr/lib/apt/solvers/dump \
+APT_INTEGRATION_TESTS_INTERNAL_PLANNER=/usr/lib/apt/planners/apt \
+APT_INTEGRATION_TESTS_BUILD_DIR=/usr/bin \
+APT_INTEGRATION_TESTS_FTPARCHIVE_BIN_DIR=/usr/bin \
+APT_INTEGRATION_TESTS_LIBRARY_PATH=/dev/null/does/not/exist \
+./test/integration/run-tests -q